<template>
  <div class="button-container">
    <h2>{{ title }}</h2>
    <div class="button-group">
      <slot></slot>
    </div>
  </div>
</template>

<script setup>
import { ref } from 'vue';

const props = defineProps({
  title: String
});
</script>

<style scoped>
.button-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1.3em;
}

.button-group {
  display: flex;
  gap: 1em;
}

button {
  margin: 0;
}

h2 {
  font-weight: bold;
  font-size: 1.6em;
}
</style>
